Name: xfce4-taskmanager
Version: 1.6.0
Release: alt1

Summary: Taskmanager for Xfce Desktop
Summary(ru_RU.UTF-8): Системный монитор для Xfce
License: GPLv2+
Group: Graphical desktop/XFce
Url: https://docs.xfce.org/apps/xfce4-taskmanager/start
Packager: Xfce Team <xfce@packages.altlinux.org>
Vcs: https://gitlab.xfce.org/apps/xfce4-taskmanager.git
Source: %name-%version.tar
Patch: %name-%version-%release.patch

BuildRequires(pre): meson
BuildRequires: rpm-build-xfce4 xfce4-dev-tools
BuildRequires: libxfce4ui-gtk3-devel >= 4.18.0 libxfconf-devel
BuildRequires: glib2-devel libXmu-devel
BuildRequires: libgtk+3-devel libcairo-devel libwnck3-devel
BuildRequires: libgio-devel

%define _unpackaged_files_terminate_build 1

%description
%name is taskmanager application for Xfce desktop environment.

%description -l ru_RU.UTF-8
%name -- Менеджер задач для Xfce.

%prep
%setup
%patch -p1

%build
%meson \
	-Dx11=enabled \
	-Dwnck=enabled
%meson_build -v

%install
%meson_install
%find_lang %name

%files -f %name.lang
%doc README.md AUTHORS NEWS
%_bindir/*
%_desktopdir/xfce4-taskmanager.desktop
%_iconsdir/hicolor/*/*/*.*

%changelog
* Thu May 22 2025 Mikhail Efremov <sem@altlinux.org> 1.6.0-alt1
- Switched to meson build.
- Updated to 1.6.0.

* Thu Dec 26 2024 Mikhail Efremov <sem@altlinux.org> 1.5.8-alt1
- Updated to 1.5.8.

* Thu Feb 29 2024 Mikhail Efremov <sem@altlinux.org> 1.5.7-alt1
- Updated to 1.5.7.

* Tue Oct 03 2023 Mikhail Efremov <sem@altlinux.org> 1.5.6-alt1
- Minor spec cleanup.
- Updated to 1.5.6.

* Mon May 15 2023 Mikhail Efremov <sem@altlinux.org> 1.5.5-alt2
- Patch from upstream:
  + Fix process filter crash (closes: #46061).

* Fri Dec 16 2022 Mikhail Efremov <sem@altlinux.org> 1.5.5-alt1
- Updated to 1.5.5.

* Tue May 31 2022 Mikhail Efremov <sem@altlinux.org> 1.5.4-alt1
- Dropped obsoleted patch.
- Updated to 1.5.4.

* Tue May 24 2022 Mikhail Efremov <sem@altlinux.org> 1.5.3-alt1
- Don't check ENABLE_NLS macro.
- Updated Url tag.
- Updated to 1.5.3.

* Tue Feb 09 2021 Mikhail Efremov <sem@altlinux.org> 1.4.2-alt1
- Updated to 1.4.2.

* Mon Feb 08 2021 Mikhail Efremov <sem@altlinux.org> 1.4.1-alt1
- Updated to 1.4.1.

* Tue Dec 29 2020 Mikhail Efremov <sem@altlinux.org> 1.4.0-alt1
- Updated Vcs tag.
- Dropped exo-csource from BR.
- Updated to 1.4.0.

* Sat Apr 11 2020 Mikhail Efremov <sem@altlinux.org> 1.2.3-alt1
- Update url.
- Add Vcs tag.
- Don't use rpm-build-licenses.
- Updated to 1.2.3.

* Wed Dec 19 2018 Mikhail Efremov <sem@altlinux.org> 1.2.2-alt1
- Updated to 1.2.2.

* Wed Dec 12 2018 Mikhail Efremov <sem@altlinux.org> 1.2.1-alt3
- Fix memory corruption.

* Thu Aug 23 2018 Mikhail Efremov <sem@altlinux.org> 1.2.1-alt2
- Don't require GTK+2 for GTK+3 build.
- Fix debug level.
- Build with GTK+3.
- Update url.
- Patch from upstream:
  + Better utf-8 normalization (bug 14172).
- Drop obsoleted patch.

* Mon Jun 04 2018 Mikhail Efremov <sem@altlinux.org> 1.2.1-alt1
- Revert upstream commit for UTF-8 strings, use old ALT patch
  instead.
- Updated to 1.2.1.

* Mon Feb 13 2017 Mikhail Efremov <sem@altlinux.org> 1.2.0-alt1
- Enabled debug (minimal).
- Updated to 1.2.0.

* Mon Dec 29 2014 Mikhail Efremov <sem@altlinux.org> 1.1.0-alt1
- Fix build: create m4/ directory.
- Updated to 1.1.0.

* Tue Oct 14 2014 Mikhail Efremov <sem@altlinux.org> 1.0.1-alt2
- Fix UTF-8 strings in the pretty_cmdline().
- Fix fgetc() return type.

* Thu Jan 09 2014 Mikhail Efremov <sem@altlinux.org> 1.0.1-alt1
- Fix Xfce name (XFce,XFCE -> Xfce).
- Updated BR.
- Updated to 1.0.1.

* Wed Feb 09 2011 Mikhail Efremov <sem@altlinux.org> 1.0.0-alt2
- Spec updated, tar.gz -> tar.

* Mon Jun 21 2010 Denis Koryavov <dkoryavov@altlinux.org> 1.0.0-alt1
- New version.

* Mon Dec 29 2008 Eugene Ostapets <eostapets@altlinux.ru> 0.4.1-alt1
- new version

* Mon May 19 2008 Eugene Ostapets <eostapets@altlinux.ru> 0.4.0-alt1
- new version

* Mon Jan 29 2007 Eugene Ostapets <eostapets@altlinux.ru> 0.3.2-alt1
- new version

* Thu Aug 18 2005 Eugene Ostapets <eostapets@altlinux.ru> 0.3.1-alt1
- 0.3.1

* Sun Mar 13 2005 Andrey Astafiev <andrei@altlinux.ru> 0.2.1-alt1
- 0.2.1

* Sat Jan 29 2005 Andrey Astafiev <andrei@altlinux.ru> 0.1.0-alt1
- First build for Sisyphus.


